cancel
Showing results for 
Search instead for 
Did you mean: 

tomcat 5.5.27 for hp-ux 11iv1

SOLVED
Go to solution

tomcat 5.5.27 for hp-ux 11iv1

I downloaded hpuxws22t-b301.depot from software.hp.com which is supposed to be tomcat 5.5.27.01.01 for hp-ux 11iv1. Swinstall does not recognize it as suitable for the target system. I then downloaded hpuxwst-b222-1123-64.depot which is the 11.23 version. The 2 files are identical in size:

11141120 Jan 5 15:03 hpuxws22t-b301.depot
11141120 Jan 5 15:03 hpuxwst-b222-1123-64.depot

Is it possible that the wrong file has been posted for 11iv1? Who do I contact to verify?
7 REPLIES
Dennis Handly
Acclaimed Contributor

Re: tomcat 5.5.27 for hp-ux 11iv1

What does swlist show:
swlist -l fileset -a software_spec -s $PWD/hpuxws22t-b301.depot

And you could compare the checksums on the two depots.

Re: tomcat 5.5.27 for hp-ux 11iv1

# swlist -l fileset -a software_spec -s $PWD/hpuxws22t-b301.depot
# Initializing...
# Contacting target "xxxxxx"...
#
# Target: xxxxxxx:/os-archive/tomcat/hpuxws22t-b301.depot
#

# hpuxws22TOMCAT hpuxws22TOMCAT,r=B.5.5.27.01.01,a=HP-UX_B.11.23_IA/PA,v=HP
hpuxws22TOMCAT.TOMCAT hpuxws22TOMCAT.TOMCAT,r=B.5.5.27.01.01,a=HP-UX_B.11.23_IA/PA,v=HP,fr=B.5.5.27.01.01,fa=HP-UX_B.11.23_IA/PA
#

Thanks. This verifies that the product that is available from HP for 11iv1 is incorrect.

Now I just need to know who/how to contact HP to get it corrected. Any thoughts?
Dennis Handly
Acclaimed Contributor

Re: tomcat 5.5.27 for hp-ux 11iv1

>Now I just need to know who/how to contact HP to get it corrected. Any thoughts?

There should be a feedback URL on that download page or in software.hp.com.
Dennis Handly
Acclaimed Contributor

Re: tomcat 5.5.27 for hp-ux 11iv1

I looked at the web page and there seems to be two products that are almost the same:
HP-UX Tomcat-based Servlet Engine v.5.5.27.01.01
HP-UX Tomcat-based Servlet Engine v.5.5.27.01.01

The first seems to put it into: /opt/hpws22/tomcat
This is the one that has two depots the same but doesn't mention 11.11:
HPUXWS22T-B301.depot with the same md5sum:
1b41d43d13c0c985183f61eaeac20344

The one with hpws has these names:
HPUXWST-B222-1111.depot
HPUXWST-B222-1123-64.depot
(And one for 11.31)
Shinji Teragaito_1
Respected Contributor
Solution

Re: tomcat 5.5.27 for hp-ux 11iv1

Hi Steve,

If you need Tomcat 5.5.27 for v1, you must download it from the
following page:

http://h20392.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=HPUXWST552701

not from the following page:

http://h20392.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=HPUXWS22T552701

The latter page provides v2/v3 depots for PA/IPF, not a v1 depot. If
you look at this page, you can find the word "WSS 3.0". I'm afraid
to say WSS 3.0 doesn't support v1. Look at the page for Apache-based
Web Server v.3.0/3.01/3.02 respectively.

Therefore if you download Tomcat from the former page, you should
have a correct depot file like this:

11141120 HPUXWST-B222-1111.depot (84c0a065f4a86c21bfa92ac4f496e253)

% swlist -a architecture -a revision -s /var/tmp/HPUXWST-B222-1111.depot hpuxwsTomcat
...
# hpuxwsTomcat HP-UX_B.11.11_32/64 B.5.5.27.01.01
hpuxwsTomcat.hpuxwsTOMCAT HP-UX_B.11.11_32/64 B.5.5.27.01.01
%

Regards,

Shinji

Re: tomcat 5.5.27 for hp-ux 11iv1

That took care of it. I noticed the first entry before, but the lack of an 11iv1 designation and the mention of IPv6 (which we do not have implemented) threw me of track. Thanks to both of you for getting me back on track.

Regards,
Steve

Re: tomcat 5.5.27 for hp-ux 11iv1

Problem solved.